<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Name: Sectie Gezinssamenstelling en woonsituatie
Description: Template voor de weergave van sectie Gezinssamenstelling en woonsituatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000">
   <title>Sectie Gezinssamenstelling en woonsituatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]"
         id="d19e2276-false-d34330e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']])&gt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]"
         id="d19e2303-false-d34402e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&gt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']"
         id="d19e2308-false-d34495e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.1.1')">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.1.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:code[(@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e2318-false-d34507e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="@nullFlavor or (@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Gezinssamenstelling_en_woonsituatie): de elementwaarde MOET een zijn van 'code '11381-1' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:title[not(@nullFlavor)]"
         id="d19e2337-false-d34524e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:text[not(@nullFlavor)]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.1-2012-05-03T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
