<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Name: Sectie Communicatie
Description: Template voor de weergave van Sectie Communicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000">
   <title>Sectie Communicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]"
         id="d19e3300-false-d38604e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']])&gt;=1">(Sectie_Communicatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']])&lt;=1">(Sectie_Communicatie): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]"
         id="d19e3307-false-d38682e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'])&gt;=1">(Sectie_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'])&lt;=1">(Sectie_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(Sectie_Communicatie): element hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Communicatie): element hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Sectie_Communicatie): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Sectie_Communicatie): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]])&gt;=1">(Sectie_Communicatie): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]])&lt;=1">(Sectie_Communicatie): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']"
         id="d19e3326-false-d38763e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.1.21')">(Sectie_Communicatie): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.1.21' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Communicatie)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:code[(@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e3336-false-d38779e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363912006' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Communicatie): de elementwaarde MOET een zijn van 'code '363912006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Communicatie)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.21
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]]
Item: (Sectie_Communicatie)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.21-2012-05-03T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Communicatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
