<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Name: vloeistof toe te dienen via sonde
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000">
   <title>vloeistof toe te dienen via sonde</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]"
         id="d19e6528-false-d47256e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]"
         id="d19e6535-false-d47274e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(vloeistof_toe_te_dienen_via_sonde): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@classCode)=('SBADM')">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:consumable[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']"
         id="d19e6554-false-d47322e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.118')">(vloeistof_toe_te_dienen_via_sonde): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.118' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:code[(@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e6564-false-d47338e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225748000' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_sonde): de elementwaarde MOET een zijn van 'code '225748000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]"
         id="d19e6575-false-d47355e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedProduct[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]"
         id="d19e6586-false-d47372e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)]"
         id="d19e6596-false-d47389e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="string(@classCode)=('MMAT')">(vloeistof_toe_te_dienen_via_sonde): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_sonde): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.118
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)]/hl7:name[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_sonde)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.118']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[not(@nullFlavor)]/hl7:manufacturedLabeledDrug[@classCode='MMAT'][not(@nullFlavor)]/hl7:name[not(@nullFlavor)]"
         id="d19e6609-false-d47410e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.118-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_sonde): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
