<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Name: entry Overig
Description: Template voor de weergave van entry Overig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000">
   <title>entry Overig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]
Item: (entry_Overig)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]"
         id="d19e17550-false-d70290e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']])&gt;=1">(entry_Overig): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']])&lt;=1">(entry_Overig): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]
Item: (entry_Overig)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]"
         id="d19e17557-false-d70326e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@classCode)=('OBS')">(entry_Overig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(entry_Overig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'])&gt;=1">(entry_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'])&lt;=1">(entry_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(entry_Overig): element hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Overig): element hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[@typeCode='COMP'][hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[@typeCode='COMP'][hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']
Item: (entry_Overig)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']"
         id="d19e17579-false-d70397e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.256')">(entry_Overig): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.256' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Overig)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:code[(@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e17589-false-d70413e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Overig): de elementwaarde MOET een zijn van 'code '405624007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]]
Item: (entry_Overig)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@typeCode)=('COMP')">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]]
Item: (entry_Overig)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@typeCode)=('COMP')">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]]
Item: (entry_Overig)
-->
   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:entryRelationship[@typeCode='COMP'][hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.256-2012-05-03T000000.html"
              test="string(@typeCode)=('COMP')">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
