<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Name: entryRelationship reden overdragen zorg
Description: Template: entryRelationship reden overdragen zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000">
   <title>entryRelationship reden overdragen zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]
Item: (entryRelationship_reden_overdragen_zorg)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]"
         id="d19e19125-false-d73631e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']])&gt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']])&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]
Item: (entryRelationship_reden_overdragen_zorg)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]"
         id="d19e19132-false-d73649e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="string(@classCode)=('OBS')">(entryRelationship_reden_overdragen_zorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(entryRelationship_reden_overdragen_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'])&gt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'])&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:code)&gt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']
Item: (entryRelationship_reden_overdragen_zorg)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']"
         id="d19e19151-false-d73696e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.31')">(entryRelationship_reden_overdragen_zorg): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.31' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:code
Item: (entryRelationship_reden_overdragen_zorg)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:code"
         id="d19e19161-false-d73711e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="string(@nullFlavor)=('UNK')">(entryRelationship_reden_overdragen_zorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:value[not(@nullFlavor)]
Item: (entryRelationship_reden_overdragen_zorg)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:value[not(@nullFlavor)]"
         id="d19e19172-false-d73726e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.31-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
