<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Name: onderlichaam aan- en uitkleden
Description: Template voor de weergave van entryRelationship onderlichaam Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000">
   <title>onderlichaam aan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]"
         id="d19e24535-false-d84982e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']])&gt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]"
         id="d19e24542-false-d85005e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@classCode)=('OBS')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&gt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']"
         id="d19e24564-false-d85056e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.90')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.90' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e24574-false-d85075e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de elementwaarde MOET een zijn van 'code '165235000' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="d85078e22-false-d85111e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierLowerBody): element hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d85078e34-false-d85141e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET een zijn van 'code '405813007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.778
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierLowerBody)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:value[(@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d85078e39-false-d85156e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.778-2012-05-03T000000.html"
              test="@nullFlavor or (@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de elementwaarde MOET een zijn van 'code '128263001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="d19e24593-false-d85171e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode" value="'d5408'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.90-2012-05-03T000000.html"
              test="string-length($theICFCode)=0 or matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_onderlichaam_Aan-_en_uitkleden): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
