<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Name: Sectie Zintuigen
Description: Sectie Zintuigen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000">
   <title>Sectie Zintuigen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]"
         id="d19e2880-false-d36651e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']])&gt;=1">(Sectie_Zintuigen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']])&lt;=1">(Sectie_Zintuigen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]"
         id="d19e2887-false-d36723e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'])&gt;=1">(Sectie_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'])&lt;=1">(Sectie_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(Sectie_Zintuigen): element hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Zintuigen): element hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Sectie_Zintuigen): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Sectie_Zintuigen): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]])&gt;=1">(Sectie_Zintuigen): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]])&lt;=1">(Sectie_Zintuigen): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']"
         id="d19e2906-false-d36801e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.1.17')">(Sectie_Zintuigen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.1.17' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Zintuigen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:code[(@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e2916-false-d36817e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="@nullFlavor or (@code='106148006' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Zintuigen): de elementwaarde MOET een zijn van 'code '106148006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Zintuigen)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.17
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]]
Item: (Sectie_Zintuigen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.17-2012-05-03T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Zintuigen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
