<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Name: Sectie Medische gegevens
Description: Template voor de weergave van sectie Medische gegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000">
   <title>Sectie Medische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]"
         id="d19e3090-false-d37449e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']])&gt;=1">(Sectie_Medische_gegevens): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']])&lt;=1">(Sectie_Medische_gegevens): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]"
         id="d19e3097-false-d37557e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&gt;=1">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&lt;=1">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Sectie_Medische_gegevens): element hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Medische_gegevens): element hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Sectie_Medische_gegevens): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Sectie_Medische_gegevens): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&gt;=1">(Sectie_Medische_gegevens): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&lt;=1">(Sectie_Medische_gegevens): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']"
         id="d19e3116-false-d37653e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.1.2')">(Sectie_Medische_gegevens): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.1.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Medische_gegevens)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:code[(@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e3126-false-d37669e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="@nullFlavor or (@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Medische_gegevens): de elementwaarde MOET een zijn van 'code '34117-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Medische_gegevens)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]
Item: (Sectie_Medische_gegevens)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.2-2014-08-20T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Medische_gegevens): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
