<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Name: Sectie Hulp van anderen
Description: Template voor de weergave van Sectie Hulp van anderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000">
   <title>Sectie Hulp van anderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]
Item: (Sectie_Hulp_van_anderen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]"
         id="d19e3581-false-d39570e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']])&gt;=1">(Sectie_Hulp_van_anderen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']])&lt;=1">(Sectie_Hulp_van_anderen): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]
Item: (Sectie_Hulp_van_anderen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]"
         id="d19e3588-false-d39630e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25'])&gt;=1">(Sectie_Hulp_van_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25'])&lt;=1">(Sectie_Hulp_van_anderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1">(Sectie_Hulp_van_anderen): element hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Hulp_van_anderen): element hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(Sectie_Hulp_van_anderen): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(Sectie_Hulp_van_anderen): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]])&gt;=1">(Sectie_Hulp_van_anderen): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="count(hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]])&lt;=1">(Sectie_Hulp_van_anderen): element hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']
Item: (Sectie_Hulp_van_anderen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']"
         id="d19e3607-false-d39702e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Hulp_van_anderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.1.25')">(Sectie_Hulp_van_anderen): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.1.25' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Hulp_van_anderen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:code[(@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d19e3617-false-d39718e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Hulp_van_anderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="@nullFlavor or (@code='52528-7' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Hulp_van_anderen): de elementwaarde MOET een zijn van 'code '52528-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:title[not(@nullFlavor)]
Item: (Sectie_Hulp_van_anderen)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.25
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]]
Item: (Sectie_Hulp_van_anderen)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]/hl7:entry[@typeCode='DRIV'][hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.249']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.1.25-2012-05-03T000000.html"
              test="string(@typeCode)=('DRIV')">(Sectie_Hulp_van_anderen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
