<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Name: vloeistof toe te dienen via infuus
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000">
   <title>vloeistof toe te dienen via infuus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]"
         id="d19e7071-false-d48300e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="d19e7078-false-d48318e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(vloeistof_toe_te_dienen_via_infuus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@classCode)=('SBADM')">(vloeistof_toe_te_dienen_via_infuus): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="d19e7101-false-d48382e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.122')">(vloeistof_toe_te_dienen_via_infuus): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.122' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime"
         id="d19e7111-false-d48397e0">
      <extends rule="PIVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:effectiveTime/hl7:period[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:doseQuantity[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:rateQuantity[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]"
         id="d19e7156-false-d48442e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="d19e7167-false-d48461e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="d19e7178-false-d48480e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

   <rule context="*[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e7191-false-d48509e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_infuus): de elementwaarde MOET een zijn van 'code '440132002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]]/hl7:substanceAdministration[@moodCode='EVN'][@classCode='SBADM'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:consumable[not(@nullFlavor)]/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name[not(@nullFlavor)]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->
</pattern>
