<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Name: besproken met wettelijke vertegenwoordiger
Description: Template voor de weergave van besproken met wettelijke vertegenwoordiger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000">
   <title>besproken met wettelijke vertegenwoordiger</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]"
         id="d19e12819-false-d60573e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]"
         id="d19e12826-false-d60591e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@classCode)=('OBS')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@moodCode)=('EVN')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@negationInd">(besproken_met_wettelijke_vertegenwoordiger): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(besproken_met_wettelijke_vertegenwoordiger): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']"
         id="d19e12846-false-d60636e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.197')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.197' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e12856-false-d60652e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '420165002' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="d19e12869-false-d60681e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e12881-false-d60711e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '408732007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]/hl7:observation[@classCode='OBS'][@moodCode='EVN'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e12891-false-d60726e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '58626002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
