<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Name: bron bewering allergie
Description: Template voor de weergave van Bron bewering allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000">
   <title>bron bewering allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]
Item: (Bron_bewering_allergie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]"
         id="d19e14892-false-d64894e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&gt;=1">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&lt;=1">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Bron_bewering_allergie): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="d19e14905-false-d64920e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.22')">(Bron_bewering_allergie): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.22' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity"
         id="d19e14915-false-d64935e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Bron_bewering_allergie): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:id"
         id="d19e14928-false-d64953e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson"
         id="d19e14942-false-d64964e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(Bron_bewering_allergie): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(Bron_bewering_allergie): element hl7:name[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d19e14953-false-d64981e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(Bron_bewering_allergie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(Bron_bewering_allergie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family[not(@nullFlavor)])&gt;=1">(Bron_bewering_allergie): element hl7:family[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family[not(@nullFlavor)])&lt;=1">(Bron_bewering_allergie): element hl7:family[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[not(@qualifier='IN')]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[not(@qualifier='IN')]"
         id="d19e14970-false-d65010e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)=('BR') or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[@qualifier='IN']
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:given[@qualifier='IN']"
         id="d19e14989-false-d65019e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)=('IN') or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]"
         id="d19e15000-false-d65030e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]/hl7:family
Item: (Bron_bewering_allergie)
-->

   <rule context="*[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name[not(@nullFlavor)]/hl7:family[not(@nullFlavor)]/hl7:family"
         id="d19e15008-false-d65044e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@qualifier),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(for $code in tokenize(@qualifier,' ') return if ($code=('BR','SP')) then ($code) else ())"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="not(@qualifier) or count($theAttValue) = count($theAttCheck)">(Bron_bewering_allergie): de waarde van qualifier MOET 'code BR of code SP' zijn.</assert>
   </rule>
</pattern>
