<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Name: aanspreekpersoon voor client
Description: Template: entryRelationship aanspreekpersoon voor client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000">
   <title>aanspreekpersoon voor client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]"
         id="d19e19397-false-d74174e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']])&gt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]"
         id="d19e19404-false-d74192e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@classCode)=('OBS')">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@moodCode)=('INT')">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&gt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']"
         id="d19e19423-false-d74240e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.30.2.34')">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.30.2.34' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d19e19433-false-d74256e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="@nullFlavor or (@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_aanspreekpersoon_voor_client): de elementwaarde MOET een zijn van 'code '70862002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:value[not(@nullFlavor)]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

   <rule context="*[hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]/hl7:observation[@classCode='OBS'][@moodCode='INT'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:value[not(@nullFlavor)]"
         id="d19e19444-false-d74273e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/eoverdracht/e-overdracht-html-20180313T165445/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
